import { jsx } from "react/jsx-runtime";
import { TokenGNO as TokenGNO$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGNO = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "GNO", "data-name": "TokenGNO", ...props, children: /* @__PURE__ */ jsx(TokenGNO$1, { variant }) });
  }
);
TokenGNO.displayName = "TokenGNO";
Object.assign(TokenGNO, { isGdsIcon: true });
export {
  TokenGNO
};
